Attribute VB_Name = "Module1"
Public Type startPosition
  name As String
  X As Long
  Y As Long
  z As Long
  orient As Single
  colour As Long
  raceId As String
  resources As Long
End Type

Public Type mapPoint
  name As String
  X As Long
  Y As Long
  z As Long
  rotX As Single
  rotY As Single
  rotZ As Single
  orient As Single
  colour As Long
  deleted As Boolean
End Type

Public Type asteroid
  type As Integer
  rus As Long
  X As Long
  Y As Long
  z As Long
  colour As Long
  deleted As Boolean
  custom As String
End Type

Public Type cloud
  type As Integer
  size As Long
  r As Integer
  g As Integer
  b As Integer
  X As Long
  Y As Long
  z As Long
  colour As Long
  deleted As Boolean
  custom As String
End Type

Public Type megalith
  type As Integer
  X As Long
  Y As Long
  z As Long
  colour As Long
  deleted As Boolean
  custom As String
End Type

Public Type ship
  type As Integer
  custom As String
  X As Long
  Y As Long
  z As Long
  rotX As Long
  rotY As Long
  rotZ As Long
  player As Integer
  colour As Long
  deleted As Boolean
  group As Long
End Type

Public Type mapSphere
  name As String
  X As Long
  Y As Long
  z As Long
  radius As Long
  colour As Long
  deleted As Boolean
End Type

Public zoomMode As Boolean

Public startPosition(5) As startPosition
Public Asteroids() As asteroid
Public Clouds() As cloud
Public DustClouds() As cloud
Public megalith() As megalith
Public Nebulae() As cloud
Public Pebble() As megalith
Public Salvage() As asteroid
Public Ships() As ship

' For SP only
Public Points() As mapPoint
Public Spheres() As mapSphere


Function GetRed(ByVal lColor As Long) As Long
    GetRed = lColor Mod 256
  Exit Function
standardError:
  frmError.Show vbModal
End Function

Function GetGreen(ByVal lColor As Long) As Long
    GetGreen = (lColor \ &H100) Mod 256
  Exit Function
standardError:
  frmError.Show vbModal
End Function

Function GetBlue(ByVal lColor As Long) As Long
    GetBlue = (lColor \ &H10000) Mod 256
  Exit Function
standardError:
  frmError.Show vbModal
End Function

